> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewereditviewersettings



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/EditViewerSettings
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/EditViewerSettings:
    post:
      tags:
        - Viewer
      operationId: Viewer_EditViewerSettings
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditViewerSettingsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditViewerSettingsResult'
components:
  schemas:
    EditViewerSettingsRequest:
      type: object
      additionalProperties: false
      required:
        - Settings
      properties:
        Settings:
          type: array
          items:
            $ref: '#/components/schemas/ViewerSettings'
    EditViewerSettingsResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfEditSettingResult'
        - type: object
          additionalProperties: false
    ViewerSettings:
      type: object
      additionalProperties: false
      properties:
        ViewerId:
          type: string
          format: guid
        Settings:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ViewerSetting'
    MultiValueResultOfEditSettingResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/EditSettingResult'
    ViewerSetting:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Value:
          nullable: true
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    EditSettingResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          required:
            - ViewerId
          properties:
            ViewerId:
              type: string
              format: guid
              minLength: 1
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````